<?php
// +-----------------------------------------------------------------------+
// | Add JQuery plugin for Piwigo by TEMMII                                |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2007 - 2020 ddtddt             http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $template, $conf, $user;
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');

$my_base_url = PHPWG_ROOT_PATH.'admin.php?page=plugin-';

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

//-------------------------------------------------------- sections definitions

if (!is_webmaster()){
  $_SESSION['page_errors'] = array(l10n('Only webmasters can see this tab, not administrators.'));
}else{

 // Tab manage
if (!isset($_GET['tab']))
    $page['tab'] = 'gest';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
  $tabsheet->add('gest', l10n('Manage'), AJQF_ADMIN . '-gest');
$tabsheet->select($page['tab']);
$tabsheet->assign();

// tab gest
switch ($page['tab']){
  case 'gest':
  
  global $pwg_loaded_plugins;
   
  $template->assign('gestA',array('AJQFBASE' => $conf['PLUGAJQ'],));

  if (isset($_POST['plugajq'])){
    conf_update_param('PLUGAJQ', $_POST['plugajq']);
    $template->assign(
      'gestA',
        array('AJQFBASE' => $_POST['plugajq'],));
		$_SESSION['page_infos'] = array(l10n('Information data registered in database'));
  }
  break;
}

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
}
?>